"rpmbuild -bb package.spec" configure: error: *** A compiler with support for C++11 language features is required

When I build the spec file with rpmbuild -bb package.spec, I get this error about needing support for C++ 11

configure: error: *** A compiler with support for C++11 language features is required.

However, when I compile it without rpmbuild, I don't get that. Also, when I use mock to build it, I also do not get any errors. I don't understand what's different about rpmbuild -bb

I have both clang and gcc installed

$ clang++ --version
clang version 10.0.0 (Fedora 10.0.0-1.fc32)
Target: x86_64-unknown-linux-gnu
Thread model: posix
InstalledDir: /usr/bin

$ g++ --version
g++ (GCC) 10.0.1 20200328 (Red Hat 10.0.1-0.11)
Copyright (C) 2020 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

$ uname -r
5.6.7-300.fc32.x86_64


Here's the spec file: https://github.com/dagostinelli/fswatch-packaging